import numpy as np

def get_bounds_clopper(
    fnr: float,
    fpr: float,
    delta: np.float64,
) -> np.float64:
    b1_lb = np.log((1 - delta - fpr) / fnr)
    b2_lb = np.log((1 - delta - fnr) / fpr)

    results = np.array([0, b1_lb, b2_lb])
    return np.nanmax(results[np.isfinite(results)])

