import torch.nn as nn


class AlexNetCIFAR10(nn.Module):
    def __init__(self, num_classes=10):
        super(AlexNetCIFAR10, self).__init__()
        linear_layer = nn.Linear(4096, num_classes)
        self.classifier = linear_layer


    def forward(self, x):
        # apply resize on input using transform
        out = self.classifier(x)
        return out
