import torch

def get_optim(cfg, model):
    if cfg.training_params.optim == "sgd":
        weight_decay = 0

        return torch.optim.SGD(
            model.parameters(),
            lr=cfg.training_params.learning_rate,
            momentum=0,
            weight_decay=weight_decay,
        )


    raise ValueError("Unknown optimizer")
